## make-console

Create a console

### SYNOPSIS

(make-console)
(make-console :module module)

### DESCRIPTION

The make-console procedure creates a new console in a new toplevel window. By default the interaction loop is placed in the current module (and changes if the current module is changed). If the console is created in a given module, thanks to the :module option, it is tied to this module. This second form of console creation is particularly useful in debugging phases to set or consult variables which are not exported in a module.

### INITIALIZATION

Use (require "console") to load the console package.

### DEFAULT BINDINGS

The defaults bindings are identical to the text bindings except the up and down arrow of on the prompt line which allow to scan the command history.

### SEE ALSO

text

Back to the STk main page